# 財務報告

`GET` `/v1/quote/financial-reports`

獲取任意上市公司的利潤表、資產負債表和現金流量表。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `kind` | string | Yes | 報表類型：`IncomeStatement`（利潤表）、`BalanceSheet`（資產負債表）、`CashFlow`（現金流量表）、`All`（全部） |
| `period` | string | Yes | 報告期：`Annual`（年報）、`SemiAnnual`（中報）、`Q1`/`Q2`/`Q3`/`ThreeQ`（季報）、`QuarterlyFull`（累計季報） |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/financial-reports?symbol=<symbol>&kind=<kind>&period=<period>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object | Yes | 按報表類型分組的數據（key 為報表類型代碼，如 `IS`、`BS`、`CF`） |
| `title` | string | No | 指標標題 |
| `short_title` | string | No | 短標題 |
| `currency` | string | No | 貨幣 |
| `has_yoy` | boolean | No | 是否有同比數據 |
| `entry` | string | No | 條目標識符 |
| `periods` | string[] | No | 可用報告期列表 |
| `accounts` | object[] | No | 財務科目列表， |
| `field` | string | Yes | 字段標識符 |
| `percent` | boolean | No | 是否為百分比值 |
| `tip` | string | No | 提示說明 |
| `values` | object[] | No | 按報告期的歷史數值， |
| `period` | string | Yes | 報告期標簽（如 `FY 2024`） |
| `year` | integer | No | 財政年度 |
| `fp_end` | string | No | 報告期結束時間戳 |
| `value` | string | No | 報告值 |
| `ratio` | string | No | 比率值 |
| `yoy` | string | No | 同比增長率 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": {
      "IS": {
        "indicators": [
          {
            "title": "Income Statement",
            "short_title": "IS",
            "currency": "USD",
            "has_yoy": true,
            "entry": "IS",
            "periods": [
              "FY2025",
              "FY2024"
            ],
            "accounts": [
              {
                "field": "EPS",
                "name": "Earnings Per Share(USD)",
                "percent": false,
                "tip": "",
                "values": [
                  {
                    "period": "FY 2025",
                    "year": 2025,
                    "fp_end": "1758945600",
                    "value": "7.46",
                    "ratio": "",
                    "yoy": "0.227"
                  }
                ]
              }
            ]
          }
        ]
      }
    }
  }
}
```
